## bochs 2.6.9+dfsg

=== debian/changelog ===
bochs (2.6.9+dfsg-3) unstable; urgency=medium

  * Ship the Voodoo and e1000 plugins; thanks to Christian Ehrhardt for
    the patch. Closes: #930770. LP: #1830094.

 -- Stephen Kitt <skitt@debian.org>  Thu, 20 Jun 2019 10:37:44 +0200

bochs (2.6.9+dfsg-2) unstable; urgency=medium

  * Discard .note.gnu.property section explicitly when building BIOS ROM
    images. Closes: #906339.
  * Link the ALSA and SDL sound plugins to their respective libraries
    only, reducing the package dependencies (in particular, the main bochs
    package no longer depends on SDL).
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 28 Aug 2018 09:19:23 +0200

bochs (2.6.9+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #775038. This release includes
    0006_qemu-bios-use-preprocessor-for-pci-link-routing.patch,
    0007_bios-add-26-pci-slots,-bringing-the-total-to-32.patch, most
    of build-use-system-libltdl.patch, and wc3.0-compat.patch, which are
    updated or dropped as appropriate.
  * Rewrite debian/copyright in machine-readable format, updated to 2.6.9,
    and use Files-Excluded to filter the upstream tarball.
  * Adopt the package. Closes: #659023.
  * Switch to priority “optional”.
  * wrap-and-sort the control files.
  * Enable new features: EVEX, Voodoo, e1000, SVM, USB EHCI and XHCI.
  * Add a number of spelling fixes flagged by Lintian.
  * Enable all hardening options.
  * Use “-a” instead of “-s” on debhelper commands.
  * Switch to debhelper compatibility level 9.
  * Mark the architecture-independent packages as “Multi-Arch: foreign”.
  * Build-depend on acpica-tools instead of iasl. Closes: #832304.
  * Enable SMP. Closes: #814483.
  * Fix various cross-building issues; thanks to Halmut Grohne for the
    patch! Closes: #903476.
  * Standards-Version 4.1.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Jul 2018 22:50:18 +0200
