## bochs 2.6.11+dfsg

=== debian/changelog ===
bochs (2.6.11+dfsg-4) unstable; urgency=medium

  * Use cross-binutils tools when building rombios32.
    Closes: #976492.
  * Standards-Version 4.5.1, no change required.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 Dec 2020 18:36:40 +0100

bochs (2.6.11+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Stephen Kitt ]
  * Switch to short dh rules and debhelper compatibility level 12.
  * Use i686 cross-compilers to build bochsbios instead of x86 -m32
    (this enables the arch-indep build on more architectures, and
    isolates us from multilib changes).

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 May 2020 14:17:14 +0200

bochs (2.6.11+dfsg-2) unstable; urgency=medium

  * Format the build date reproducibly (patch by Chris Lamb).
    Closes: #948582.
  * Ensure constants with the top bit set are unsigned. Closes: #957052.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 May 2020 18:20:31 +0200

bochs (2.6.11+dfsg-1) unstable; urgency=medium

  * New upstream release, merging a number of patches.
  * Document how to use SeaBIOS, and allow it as a replacement
    dependency.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Jan 2020 23:00:39 +0100

bochs (2.6.10+dfsg-2) unstable; urgency=medium

  * Fix the build on big-endian architectures.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Dec 2019 22:57:54 +0100

bochs (2.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release; update patches, in particular
    - remove the QEMU BIOS patches, which conflict with 2.6.10 and are no
      longer needed (QEMU now uses SEABIOS, not Bochs BIOS);
    - remove the USB patches, merged upstream.
  * This version supports WxWindows with Gtk 3, restore bochs-wx.
  * Install bxhub.
  * Enable memtype and the x86 debugger.
  * Track missing files.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Dec 2019 21:19:50 +0100

bochs (2.6.9+dfsg-5) unstable; urgency=medium

  * Fix cross-building again, thanks to Helmut Grohne for the patch!
    Closes: #945758.
  * Ensure we always rebuild the lexer and parser.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Dec 2019 23:04:38 +0100

bochs (2.6.9+dfsg-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Stephen Kitt ]
  * Drop the wx frontend, it is buggy with Gtk 2 and doesn’t work with
    Gtk 3. Closes: #933458.
  * Stop recommending createdisk, it’s no longer available.
    Closes: #926796.
  * Ensure the sb16ctrl build takes flags into account.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Oct 2019 11:08:27 +0200
