=== debian/control ===
--- 
+++ 
@@ -3,15 +3,12 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
- autoconf,
- automake,
- autotools-dev,
  bison,
- debhelper (>= 9),
+ debhelper-compat (= 13),
  flex,
  libaa1-dev,
  libasound2-dev [linux-any],
- libgtk2.0-dev,
+ libgtk-3-dev,
  libice-dev,
  libltdl-dev,
  libncurses5-dev,
@@ -19,7 +16,7 @@
  libsdl2-dev,
  libsm-dev,
  libtool,
- libwxgtk3.0-dev,
+ libwxgtk3.0-gtk3-dev,
  libx11-dev,
  libxpm-dev,
  libz-dev
@@ -28,23 +25,23 @@
  bcc (>= 0.16.3-2),
  bin86 (>= 0.16.3-2),
  docbook-dsssl,
- gcc-multilib [any-amd64]
+ gcc-i686-linux-gnu [!i386]
 Homepage: http://bochs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/bochs
 Vcs-Git: https://salsa.debian.org/debian/bochs.git
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 
 Package: bochs
 Architecture: any
 Depends:
  bochs-wx | bochs-gui,
- bochsbios (= ${source:Version}),
- vgabios (>= 0.7a-1),
+ bochsbios (= ${source:Version}) | seabios,
+ vgabios | seabios,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- bximage | createdisk
+ bximage
 Suggests:
  bochs-doc,
  debootstrap,
@@ -94,8 +91,6 @@
  bochs (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- bochs (<< 2.0rel-1)
 Provides:
  bochs-gui
 Description: WxWindows plugin for Bochs
