## bochs 2.7%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Copyright © 1997-1999 Joey Hess <joeyh@debian.org>
 # Copyright © 2002-2004 Robert Millan <rmh@debian.org>
 # Copyright © 2004-2012 Guillem Jover <guillem@debian.org>
-# Copyright © 2018-2020 Stephen Kitt <skitt@debian.org>
+# Copyright © 2018-2021 Stephen Kitt <skitt@debian.org>
 #
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -51,58 +51,62 @@
 # building it in build-arch, and only in build-indep. This works
 # because configure only disables entering the directory.
 	dh_auto_configure -- \
+	  --with-rfb \
+	  --with-sdl2 \
+	  --with-term \
 	  --with-x11 \
-	  --with-rfb \
-	  --with-term \
-	  --with-sdl2 \
 	  --with-wx \
 	  --disable-docbook \
+	  --enable-3dnow \
+	  --enable-a20-pin \
+	  --enable-all-optimizations \
+	  --enable-avx \
+	  --enable-busmouse \
 	  --enable-cdrom \
-	  --enable-pci \
-	  --enable-usb \
-	  --enable-usb-ohci \
-	  --enable-a20-pin \
+	  --enable-cet \
+	  --enable-clgd54xx \
+	  --enable-compressed-hd \
 	  --enable-cpu-level=6 \
-	  --enable-x86-64 \
-	  --enable-memtype \
-	  --enable-avx \
-	  --enable-evex \
-	  --enable-x86-debugger \
-	  --enable-vmx=2 \
-	  --enable-fpu \
 	  --enable-debugger \
 	  --enable-debugger-gui \
 	  --enable-disasm \
+	  --enable-e1000 \
+	  --enable-es1370 \
+	  --enable-evex \
+	  --enable-fpu \
 	  --enable-idle-hack \
-	  --enable-all-optimizations \
+	  --enable-instrumentation \
+	  --enable-pci \
+	  --enable-plugins \
 	  --enable-repeat-speedups \
-	  --enable-plugins \
-	  --enable-compressed-hd \
-	  --enable-clgd54xx \
-	  --enable-voodoo \
-	  --enable-sb16 \
-	  --enable-es1370 \
+	  --enable-memtype \
 	  --enable-ne2000 \
 	  --enable-pnic \
-	  --enable-e1000 \
-	  --enable-busmouse \
+	  --enable-protection-keys \
+	  --enable-raw-serial \
+	  --enable-sb16 \
+	  --enable-smp \
 	  --enable-svm \
-	  --enable-protection-keys \
+	  --enable-usb \
 	  --enable-usb-ehci \
+	  --enable-usb-ohci \
 	  --enable-usb-xhci \
-	  --enable-smp \
+	  --enable-vmx=2 \
+	  --enable-voodoo \
+	  --enable-x86-64 \
+	  --enable-x86-debugger \
 	  $(conf_arch_args)
 
 override_dh_auto_build-arch:
 	dh_auto_build
 
 ifeq ($(DEB_HOST_ARCH_CPU),i386)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) misc/sb16/sb16ctrl.c -o misc/sb16/sb16ctrl
+	dh_auto_build -- misc/sb16/sb16ctrl
 endif
 
 override_dh_auto_build-indep:
 # bochsbios
-	$(MAKE) -C bios GCC32="i686-linux-gnu-gcc -fno-stack-protector" LD32="i686-linux-gnu-ld" OBJCOPY32="i686-linux-gnu-objcopy"
+	$(MAKE) -C bios GCC32="i686-linux-gnu-gcc -march=i386 -fno-stack-protector" LD32="i686-linux-gnu-ld" OBJCOPY32="i686-linux-gnu-objcopy"
 
 # bochs-doc
 	$(MAKE) -C doc/docbook USE_JADE=1
