## bochs 2.7+dfsg

=== debian/changelog ===
bochs (2.7+dfsg-4build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:39:13 +1100

bochs (2.7+dfsg-4build4) noble; urgency=medium

  * No-change rebuild against libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:54:29 +0100

bochs (2.7+dfsg-4build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:04:51 +0000

bochs (2.7+dfsg-4build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:57:21 +0000

bochs (2.7+dfsg-4build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:16:56 +0000

bochs (2.7+dfsg-4) unstable; urgency=medium

  * Switch to wxwidgets3.2. Closes: #1019842.
  * Override lintian warnings caused by the plugin dynamic objects.
  * Standards-Version 4.6.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 Sep 2022 19:08:21 +0200

bochs (2.7+dfsg-3) unstable; urgency=medium

  * Use dh_auto_build to build sb16ctrl, so that it can be cross-
    compiled correctly when targeting i386.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Apr 2022 11:36:38 +0200

bochs (2.7+dfsg-2) unstable; urgency=medium

  * Fix an #if/#ifdef mix-up causing the build to fail on big-endian
    platforms.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Aug 2021 09:50:39 +0200

bochs (2.7+dfsg-1) unstable; urgency=medium

  * New upstream release, merging dbg-smp.patch, iasl-filename.patch and
    reproducible-build.patch.
  * Remove long-obsolete “Replaces:” and version constraints in the
    dependencies.
  * Standards-Version 4.6.0, no change required.
  * Drop bochs.postinst, it is now useless. Closes: #976957.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Aug 2021 20:43:05 +0200
