=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bochs
 Section: otherosfs
 Priority: optional
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
  bison,
  debhelper-compat (= 13),
@@ -16,20 +17,20 @@
  libsdl2-dev,
  libsm-dev,
  libtool,
- libwxgtk3.0-gtk3-dev,
+ libwxgtk3.2-dev,
  libx11-dev,
  libxpm-dev,
  libz-dev
 Build-Depends-Indep:
  acpica-tools,
- bcc (>= 0.16.3-2),
- bin86 (>= 0.16.3-2),
+ bcc,
+ bin86,
  docbook-dsssl,
  gcc-i686-linux-gnu [!i386]
 Homepage: http://bochs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/bochs
 Vcs-Git: https://salsa.debian.org/debian/bochs.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: bochs
@@ -37,7 +38,7 @@
 Depends:
  bochs-wx | bochs-gui,
  bochsbios (= ${source:Version}) | seabios,
- vgabios | seabios,
+ vgabios (>= 0.8~) | seabios,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
@@ -76,8 +77,6 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends}
-Replaces:
- bochs (<< 2.0)
 Description: BIOS for the Bochs emulator
  Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
  runs on most popular platforms. It includes emulation of the Intel x86 CPU,
@@ -106,8 +105,6 @@
  bochs (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- bochs (<< 2.0rel-1)
 Provides:
  bochs-gui
 Description: SDL plugin for Bochs
@@ -125,9 +122,6 @@
  bochs (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- bochs (<< 2.0rel-1),
- bochs-curses
 Provides:
  bochs-gui
 Description: Terminal (ncurses-based) plugin for Bochs
@@ -143,8 +137,6 @@
  bochs (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- bochs (<< 2.0rel-1)
 Provides:
  bochs-gui
 Description: X11 plugin for Bochs
@@ -166,8 +158,6 @@
 
 Package: sb16ctrl-bochs
 Architecture: any-i386
-Replaces:
- sb16ctrl
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
