=== debian/rules ===
--- 
+++ 
@@ -106,7 +106,7 @@
 
 override_dh_auto_build-indep:
 # bochsbios
-	$(MAKE) -C bios GCC32="i686-linux-gnu-gcc -march=i386 -fno-stack-protector" LD32="i686-linux-gnu-ld" OBJCOPY32="i686-linux-gnu-objcopy"
+	$(MAKE) -C bios GCC32="i686-linux-gnu-gcc -fno-stack-protector" LD32="i686-linux-gnu-ld" OBJCOPY32="i686-linux-gnu-objcopy"
 
 # bochs-doc
 	$(MAKE) -C doc/docbook USE_JADE=1
