## bochs 2.8+dfsg

=== debian/changelog ===
bochs (2.8+dfsg-2) unstable; urgency=medium

  * Set the BIOS build date to match SOURCE_DATE_EPOCH. Closes:
    #1067100. Thanks to Chris Lamb for the patch!
  * Build the BIOS images for 386 CPUs rather than the compiler’s 32-bit
    default. Closes: #1082917.
  * Update the homepage address.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 Oct 2024 00:02:48 +0200

bochs (2.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch from the obsolete libncurses5-dev build-dependency to
    libncurses-dev.
  * Fix Lintian overrides to apply across all architectures.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Mar 2024 07:26:31 +0100
