=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bochs
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
  bison,
  debhelper-compat (= 13),
@@ -12,7 +11,7 @@
  libgtk-3-dev,
  libice-dev,
  libltdl-dev,
- libncurses5-dev,
+ libncurses-dev,
  libreadline-dev,
  libsdl2-dev,
  libsm-dev,
@@ -27,10 +26,10 @@
  bin86,
  docbook-dsssl,
  gcc-i686-linux-gnu [!i386]
-Homepage: http://bochs.sourceforge.net/
+Homepage: https://bochs.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/debian/bochs
 Vcs-Git: https://salsa.debian.org/debian/bochs.git
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: bochs
