## bochs 3.0%2Bdfsg

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=4
opts="repacksuffix=+dfsg,dversionmangle=s%\+dfsg%%" \
 https://sf.net/bochs/bochs-([\d.]*)\.tar\.gz debian uupdate
