## bochs 3.0+dfsg

=== debian/changelog ===
bochs (3.0+dfsg-1) unstable; urgency=medium

  * New upstream release, merging build-use-system-libltdl.patch,
    cross-build-1.patch, and instrument-stub-class.patch.
  * Exclude bios/i440fx.bin; source code for the image is available, but
    not under a DFSG-free license, and the tools required to build it
    aren’t available in Debian.
  * Add patch descriptions.
  * Drop narrowing-conversions.patch, it’s no longer necessary.
  * gcc-i686-linux-gnu is now available on i386, drop the architecture
    qualifier.
  * Standards-Version 4.7.2, no change required.
  * Remove debian/tarball.sh, uscan handles repacking.

 -- Stephen Kitt <skitt@debian.org>  Sun, 02 Mar 2025 16:02:35 +0100
