=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libice-dev,
  libltdl-dev,
  libncurses-dev,
+ libpulse-dev,
  libreadline-dev,
  libsdl2-dev,
  libsm-dev,
@@ -25,11 +26,11 @@
  bcc,
  bin86,
  docbook-dsssl,
- gcc-i686-linux-gnu [!i386]
+ gcc-i686-linux-gnu
 Homepage: https://bochs.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/debian/bochs
 Vcs-Git: https://salsa.debian.org/debian/bochs.git
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: bochs
