=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	  --enable-3dnow \
 	  --enable-a20-pin \
 	  --enable-all-optimizations \
+	  --enable-amx \
 	  --enable-avx \
 	  --enable-busmouse \
 	  --enable-cdrom \
@@ -87,6 +88,7 @@
 	  --enable-sb16 \
 	  --enable-smp \
 	  --enable-svm \
+	  --enable-uintr \
 	  --enable-usb \
 	  --enable-usb-ehci \
 	  --enable-usb-ohci \
@@ -106,7 +108,7 @@
 
 override_dh_auto_build-indep:
 # bochsbios
-	$(MAKE) -C bios GCC32="i686-linux-gnu-gcc -fno-stack-protector" LD32="i686-linux-gnu-ld" OBJCOPY32="i686-linux-gnu-objcopy"
+	$(MAKE) -C bios GCC32="i686-linux-gnu-gcc -march=i386 -fno-stack-protector" LD32="i686-linux-gnu-ld" OBJCOPY32="i686-linux-gnu-objcopy"
 
 # bochs-doc
 	$(MAKE) -C doc/docbook USE_JADE=1
